/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.myfaces.custom.emailvalidator;

import org.apache.myfaces.validator.ValidatorBaseTag;

import javax.faces.validator.Validator;
import javax.servlet.jsp.JspException;

/**
 * @author mwessendorf (latest modification by $Author: grantsmith $)
 * @version $Revision: 472638 $ $Date: 2006-11-08 21:54:13 +0100 (Mi, 08 Nov 2006) $
 */
public class ValidateEmailTag extends ValidatorBaseTag
{
  private static final long serialVersionUID = 6041422002721046221L;

  public ValidateEmailTag()
    {
	}

	/* (non-Javadoc)
	 * @see javax.faces.webapp.ValidatorTag#createValidator()
	 */
	protected Validator createValidator() throws JspException
    {
		setValidatorId(EmailValidator.VALIDATOR_ID);
	    EmailValidator validator = (EmailValidator)super.createValidator();
		return validator;
	}

    public void release()
    {
        super.release();
    }

}
